/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				rightimageview.h

PURPOSE:			Class definition for test image view where user may 
					select and display an image that provides control 
					points for the template image to be mapped to.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

***************************************************************************/

#pragma once

// CRightImageView view

class CRightImageView : public CScrollView
{
	DECLARE_DYNCREATE(CRightImageView)

protected:
	CRightImageView();           // protected constructor used by dynamic creation
	virtual ~CRightImageView();

public:
	CString borderTitle;

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct

	DECLARE_MESSAGE_MAP()
};


