/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				imagealignview.h

PURPOSE:			Class definition for top level view.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

***************************************************************************/

#pragma once

class CimagealignView : public CView
{
protected: // create from serialization only
	CimagealignView();
	DECLARE_DYNCREATE(CimagealignView)

// Attributes
public:
	CimagealignDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CimagealignView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in imagealignView.cpp
inline CimagealignDoc* CimagealignView::GetDocument() const
   { return reinterpret_cast<CimagealignDoc*>(m_pDocument); }
#endif

