/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				directory.cpp

PURPOSE:			Declarations for functions that contains code to
					support the display, querying, and traversal of
					directory and file path structures in MFC.  Also,
					includes some functions to read and save .pgm
					image file format.

COMPILER / TOOL:	Visual C++ .NET Framework 1.0

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

***************************************************************************/ 

#ifndef _UTIL_H_
#define _UTIL_H_

#include "matrx.h"

void SlashPath(CString& Dest, bool MustHave);
LPCSTR GetSubPath(const char* Str);
int CStringCmp(const void* arg1, const void* arg2);
int BuildFileList(CStringArray& Dest, const char* Path);
int BuildDirList(CStringArray& Dest, const char* Path);
int BuildListEx(CStringArray& Dest, const char* Path, bool showFiles);
BOOL DemoBrowseForFolder(char* Dest, char* caption, bool showFiles = false);

#endif