/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				featureview.h

PURPOSE:			Class definition for a view that displays 
					user selected sampled points that are mapped 
					from template view to test view. 

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

***************************************************************************/

#pragma once

// CFeatureView view

class CFeatureView : public CScrollView
{
	DECLARE_DYNCREATE(CFeatureView)

protected:
	CFeatureView();           // protected constructor used by dynamic creation
	virtual ~CFeatureView();

public:

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;

#endif

protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct

	DECLARE_MESSAGE_MAP()
};


