/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				leftimageview.h

PURPOSE:			Class definition for template view where user  
					may select and display an image to be mapped to  
					the test image.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

***************************************************************************/

#pragma once

#include "edgefinder.h"

// CLeftImageView view

class CLeftImageView : public CScrollView
{
	DECLARE_DYNCREATE(CLeftImageView)

protected:
	CLeftImageView();           // protected constructor used by dynamic creation
	virtual ~CLeftImageView();

public:

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct
	DECLARE_MESSAGE_MAP()
};


