/********************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				splitoverride.cpp

PURPOSE:			Implementation that inherits from base class 
					CSplitterWnd to disable the ability to move 
					splitter borders.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

REMARKS:			This code was obtained from 
					http://www.thecodeproject.com/splitter/splitteroverride.asp.

********************************************************************************/

#include "stdafx.h"
#include "splitoverride.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

IMPLEMENT_DYNAMIC(CSplitOverride, CSplitterWnd)

BEGIN_MESSAGE_MAP(CSplitOverride, CSplitterWnd)
	ON_WM_NCHITTEST()
END_MESSAGE_MAP()

// CSplitOverride construction
CSplitOverride::CSplitOverride()
{
}

// CSplitOverride destruction
CSplitOverride::~CSplitOverride()
{
}

// CSplitOverride message handlers
afx_msg UINT CSplitOverride::OnNcHitTest(CPoint point)
/* PURPOSE:		Prevents user from moving splitter borders.
*/
{
	return HTNOWHERE;
}